﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

using Infragistics.Web.UI.GridControls;

namespace WHDG_1
{
    public partial class WebForm7 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                Session["DataSource"] = null;
            }

            object a = Session["DataSource"];

            if (a != null)
            {
                this.WebHierarchicalDataGrid1.DataSource = (DataSet)a;
                this.WebHierarchicalDataGrid1.DataBind();
    
            }
        }

 

  

        protected void Button_B_Click(object sender, EventArgs e)
        {
            this.WebHierarchicalDataGrid1.Columns.Clear();
            this.WebHierarchicalDataGrid1.GroupingSettings.GroupedColumns.Clear();
            this.WebHierarchicalDataGrid1.AutoGenerateColumns = false;

            BoundDataField col1 = new BoundDataField();
            col1.DataFieldName = "UniqueID";
            col1.Key = "UniqueID";
            col1.Header.Text = "Header Unique ID";
            this.WebHierarchicalDataGrid1.Columns.Add(col1);

            BoundDataField col2 = new BoundDataField();
            col2.DataFieldName = "NameB";
            col2.Key = "NameB";
            col2.Header.Text = "Header NameB";
            this.WebHierarchicalDataGrid1.Columns.Add(col2);

            BoundDataField col3 = new BoundDataField();
            col3.DataFieldName = "ValueB";
            col3.Key = "ValueB";
            col3.Header.Text = "Header ValueB";
            this.WebHierarchicalDataGrid1.Columns.Add(col3);

            BoundDataField col4 = new BoundDataField();
            col4.DataFieldName = "SomethingB";
            col4.Key = "SomethingB";
            col4.Header.Text = "Header SomethingB";
            this.WebHierarchicalDataGrid1.Columns.Add(col4);

            SummaryRow s = WebHierarchicalDataGrid1.Behaviors.CreateBehavior<SummaryRow>();

            s.Enabled = true;
            s.EnableInheritance = true;

            ColumnSummaryInfo value = new ColumnSummaryInfo();
            value.ColumnKey = "ValueB";
            value.Summaries.Add(SummaryType.Sum);


            ColumnResizing cr = WebHierarchicalDataGrid1.Behaviors.CreateBehavior<ColumnResizing>();
            cr.Enabled = true;



            DataSet list = new DataSet();
            DataTable dt = new DataTable();

            dt.Columns.Add(new DataColumn("UniqueID", typeof(Int16)));
            dt.Columns.Add(new DataColumn("NameB"));
            dt.Columns.Add(new DataColumn("ValueB", typeof(Int16)));
            dt.Columns.Add(new DataColumn("SomethingB"));

            for (int i = 0; i < 10; i++)
            {
                DataRow dr = dt.NewRow();

                dr["UniqueID"] = i;
                dr["NameB"] = "Name B";
                dr["ValueB"] = 10 * (10 % (2 + i));
                dr["SomethingB"] = i.ToString() + (i + 1).ToString();
                dt.Rows.Add(dr);
            }
            list.Tables.Add(dt);


            this.WebHierarchicalDataGrid1.DataKeyFields = this.WebHierarchicalDataGrid1.Columns["UniqueID"].Key;
            this.WebHierarchicalDataGrid1.DataSource = list;
            this.WebHierarchicalDataGrid1.DataBind();
            this.WebHierarchicalDataGrid1.RefreshBehaviors();

            Session["DataSource"] = list;
           
        }


        protected void Button_A_Click(object sender, EventArgs e)
        {
            this.WebHierarchicalDataGrid1.Columns.Clear();
            this.WebHierarchicalDataGrid1.GroupingSettings.GroupedColumns.Clear();
            this.WebHierarchicalDataGrid1.AutoGenerateColumns = false;

            BoundDataField col1 = new BoundDataField();
            col1.DataFieldName = "UniqueID";
            col1.Key = "UniqueID";
            col1.Header.Text = "Header Unique ID";
            this.WebHierarchicalDataGrid1.Columns.Add(col1);

            BoundDataField col2 = new BoundDataField();
            col2.DataFieldName = "NameA";
            col2.Key = "NameA";
            col2.Header.Text = "Header NameA";
            this.WebHierarchicalDataGrid1.Columns.Add(col2);

            BoundDataField col3 = new BoundDataField();
            col3.DataFieldName = "ValueA";
            col3.Key = "ValueA";
            col3.Header.Text = "Header ValueA";
            this.WebHierarchicalDataGrid1.Columns.Add(col3);

            SummaryRow s = WebHierarchicalDataGrid1.Behaviors.CreateBehavior<SummaryRow>();

            s.Enabled = true;
            s.EnableInheritance = true;

            ColumnSummaryInfo value = new ColumnSummaryInfo();
            value.ColumnKey = "ValueA";
            value.Summaries.Add(SummaryType.Sum);

            ColumnResizing cr = WebHierarchicalDataGrid1.Behaviors.CreateBehavior<ColumnResizing>();
            cr.Enabled = true;


            DataSet list = new DataSet();
            DataTable dt = new DataTable();

            dt.Columns.Add(new DataColumn("UniqueID", typeof(Int16)));
            dt.Columns.Add(new DataColumn("NameA"));
            dt.Columns.Add(new DataColumn("ValueA", typeof(Int16)));

            for (int i = 0; i < 10; i++)
            {
                DataRow dr = dt.NewRow();

                dr["UniqueID"] = i;
                dr["NameA"] = "Name A";
                dr["ValueA"] = 10 * (10 % (2 + i));
                dt.Rows.Add(dr);
            }
            list.Tables.Add(dt);


            this.WebHierarchicalDataGrid1.DataKeyFields = this.WebHierarchicalDataGrid1.Columns["UniqueID"].Key;
            this.WebHierarchicalDataGrid1.DataSource = list;
            this.WebHierarchicalDataGrid1.DataBind();
            this.WebHierarchicalDataGrid1.RefreshBehaviors();

            Session["DataSource"] = list;
        }

    }
}